com.ibm.openpages.api.audit

## Interface IFieldAuditLog

- All Superinterfaces:
    IAuditLog

      public interface IFieldAuditLog
      extends IAuditLog

  Interface to retrieve field logs of an object.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getOldValue()` Returns the old value of the field.
    `java.lang.Object` | `newValue()` Returns the new value of the field.

    - ### Methods inherited from interface com.ibm.openpages.api.audit.IAuditLog

      `getId, getName, modifiedBy, modifiedDate`

- - ### Method Detail

    - #### getOldValue

          java.lang.Object getOldValue()

      Returns the old value of the field. The value returned depends on the data type of the field.

           Currency Field, Decimal Field, Integer Field: Object returned is of type java.lang.Double.
           Boolean Field: Object returned is of type java.lang.Boolean.
           Date Field: Object returned is of type java.util.Date.
           Reference Field: Object returned is of type com.ibm.openpages.api.metadata.Id.
           Enum Type: Object returned is of type java.lang.String.
           Multi Enum Type: Object returned is of type List.
           All other Types: Object returned is of type java.lang.String.

      Returns:
        Object

    - #### newValue

          java.lang.Object newValue()

      Returns the new value of the field. The value returned depends on the data type of the field.

           Currency Field, Decimal Field, Integer Field: Object returned is of type java.lang.Double.
           Boolean Field: Object returned is of type java.lang.Boolean.
           Date Field: Object returned is of type java.util.Date.
           Reference Field: Object returned is of type com.ibm.openpages.api.metadata.Id.
           Enum Type: Object returned is of type String.
           Multi Enum Type: Object returned is of type List.
           All other Types: Object returned is of type java.lang.String.

      Returns:
        Object

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.